Act! and Outlook 2016Swiftpage released Act! v20.1 on 3/22 in the US market. v20.1 focused on a few key areas:

  1. Rebuild Outlook integration for e-mail, contact and calendar sync as well as mail-merge functions.  80% of our help desk relates to the e-mail history not recording properly to Act!, and this update addresses this problem.
  2. Enhance Act! Insight, the new report writer.
  3. Create custom tables. For example, you can create a list of multiple insurance policies someone bought over the years under one contact record. Until now, you had to use third party products to make this work. Or, you had to make a large grid in the contact record that wasn’t easy to search.
  4. Offer North American and Saturday phone support.

For this updated Outlook integration to work, you must have Outlook 2013 or newer installed as cited in the system requirements.

Should you upgrade ? First and foremost, make sure you have Office 2013 or newer; then, we’d have to see what business processes need improving to make the call since we last spoke. Sometimes, we can leverage what you have and just bolt a plugin to your system. Or, we just train you on a feature you may realize you didn’t have within Act!.